aboutsummaryrefslogtreecommitdiffstats
path: root/.travis/run.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/run.sh')
-rwxr-xr-x.travis/run.sh66
1 files changed, 6 insertions, 60 deletions
diff --git a/.travis/run.sh b/.travis/run.sh
index 572b9a4d..ca0ddac6 100755
--- a/.travis/run.sh
+++ b/.travis/run.sh
@@ -26,65 +26,11 @@ source ~/.venv/bin/activate
if [ -n "${TOXENV}" ]; then
tox -- --wycheproof-root=$HOME/wycheproof
else
+ downstream_script="${TRAVIS_BUILD_DIR}/.travis/downstream.d/${DOWNSTREAM}.sh"
+ if [ ! -x $downstream_script ]; then
+ exit 1
+ fi
+ $downstream_script install
pip install .
- case "${DOWNSTREAM}" in
- pyopenssl)
- git clone --depth=1 https://github.com/pyca/pyopenssl
- cd pyopenssl
- pip install -e ".[test]"
- pytest tests
- ;;
- twisted)
- git clone --depth=1 https://github.com/twisted/twisted
- cd twisted
- pip install -e .[tls,conch,http2]
- python -m twisted.trial src/twisted
- ;;
- paramiko)
- git clone --depth=1 https://github.com/paramiko/paramiko
- cd paramiko
- pip install -e .
- pip install -r dev-requirements.txt
- inv test
- ;;
- aws-encryption-sdk)
- git clone --depth=1 https://github.com/awslabs/aws-encryption-sdk-python
- cd aws-encryption-sdk-python
- pip install -r test/requirements.txt
- pip install -e .
- pytest -m local test/
- ;;
- dynamodb-encryption-sdk)
- git clone --depth=1 https://github.com/awslabs/aws-dynamodb-encryption-python
- cd aws-dynamodb-encryption-python
- pip install -r test/requirements.txt
- pip install -e .
- pytest -m "local and not slow and not veryslow and not nope"
- ;;
- certbot)
- git clone --depth=1 https://github.com/certbot/certbot
- cd certbot
- pip install pytest pytest-mock mock
- pip install -e acme
- pip install -e .
- pytest certbot/tests
- pytest acme
- ;;
- certbot-josepy)
- git clone --depth=1 https://github.com/certbot/josepy
- cd josepy
- pip install -e ".[tests]"
- pytest src
- ;;
- urllib3)
- git clone --depth 1 https://github.com/shazow/urllib3
- cd urllib3
- pip install -r ./dev-requirements.txt
- pip install -e ".[socks]"
- pytest test
- ;;
- *)
- exit 1
- ;;
- esac
+ $downstream_script run
fi